org.apache.ivy.plugins.circular

## Class AbstractCircularDependencyStrategy

- java.lang.Object
- - org.apache.ivy.plugins.circular.AbstractCircularDependencyStrategy

All Implemented Interfaces:
  CircularDependencyStrategy

Direct Known Subclasses:
  AbstractLogCircularDependencyStrategy, ErrorCircularDependencyStrategy

    public abstract class AbstractCircularDependencyStrategy
    extends java.lang.Object
    implements CircularDependencyStrategy

### Constructor Summary

Constructors
`protected` `AbstractCircularDependencyStrategy(java.lang.String name)`

### Method Summary

Methods
`java.lang.String` `getName()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ivy.plugins.circular.CircularDependencyStrategy

`handleCircularDependency`

### Constructor Detail

#### AbstractCircularDependencyStrategy

    protected AbstractCircularDependencyStrategy(java.lang.String name)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `CircularDependencyStrategy`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`